%define	module	Net-IRC
%define	name	perl-%{module}
%define	version	0.75
%define	release %mkrel 3

Name:		%{name}
Summary:	%{module} module for perl
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{module}-%{version}.tar.bz2
Patch0:		%{name}-0.75-workwithlocalhost.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
Buildarch:	noarch

%description
%{module} perl module allows you to access IRC networks with perl.
It is used to program irc bot in perl or various software.

%prep
%setup -q -n %{module}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
%{__rm} -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc README Changes TODO 
%{perl_vendorlib}/Net
%{_mandir}/*/*



%changelog
* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.75-3mdv2008.0
+ Revision: 25273
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.75-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.75-1mdk
- 0.75
- regenerate P0

* Sun May 09 2004 Michael Scherer <misc@mandrake.org> 0.74-2mdk 
- add patch0 to refix issues of bug #3715

* Thu Apr 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.74-1mdk
- 0.74

* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.70-1mdk
- initial mdk release

